Bug 1282780 - Add jenkins job to run lago basic sanity on pre releases of ovirt 3.6
Add jenkins job to run lago basic sanity on pre releases of ovirt 3.6
Status: VERIFIED
Product: ovirt-system-tests
Classification: Community
Component: General (Show other bugs)
0.4
Unspecified Unspecified
unspecified Severity high
: milestone3
: 0.5
Assigned To: Yaniv Kaul
Pavel Stehlik
ci
: Automation, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 07:01 EST by Eyal Edri
Modified: 2016-06-19 08:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eyal Edri 2015-11-17 07:01:25 EST
Description of problem:

now that we have lago working for 3.5 & 3.6, with minimal effort we can add a sanity job in jenkins to run on a given repo (such as candidate repo for release) and run basic sanity testing on it before releasing ovirt.

for now it can use the existing sanity tests, but later we can enable the user to choose from a varaeity set of tests available.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 David Caro 2015-11-18 14:22:35 EST
So what you suggest is having some manual triggered job where you can specify the ovirt repository to use?

That sounds quite hacky, but seeing that it will take time to automate properly (and some convincing) might be a palliative to the current situation.
Comment 2 Eyal Edri 2015-11-26 08:30:12 EST
Changing title and re-phrasing.

Now that we see lago runs and works on 3.6 stable repo (i.e 3.6.0 release).
Lets clone the job to run on pre releases (i.e 3.6-pre repo), which means
we'll test beta/rc's before official releases.

this will allow us at this stage (while we don't have yet rpms built per commit - see open bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1279962
Comment 3 Eyal Edri 2016-04-10 09:49:47 EDT
Changing assignee, please feel free to re-assign to relevant teams.
Comment 4 Eyal Edri 2016-06-19 08:33:59 EDT
This is fixed, as we now run the tests on 3.6, 4.0 and master nightlies repos:

http://jenkins.ovirt.org/view/oVirt%20system%20tests/

This was verified already as we saw real regression caught with it.

In addition, work is being done to run the jobs even more frequent on an 'experimental' repo that will be refreshed every time a new rpm from oVirt is built.

you can see more info on jenkins.ovirt.org, for example the deploy job:
http://jenkins.ovirt.org/job/deploy-to-ovirt_experimental_3.6/

and the repos themselves:

http://resources.ovirt.org/repos/ovirt/experimental/3.6/latest/rpm/

working and verified in latest Lago: 0.21

Note You need to log in before you can comment on or make changes to this bug.